Package: org.gradle.api.plugins.quality

## [Java] Interface JDependReports

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

  The reporting configuration for the JDepend task. Exactly one of the XML or HTML reports can be enabled when the task executes. If more than one or none is enabled, an InvalidUserDataException will be thrown.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SingleFileReport` | `getText()` The jdepend text report
    `SingleFileReport` | `getXml()` The jdepend XML report

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReportContainer` | `getEnabled`
    `interface NamedDomainObjectSet` | `findAll, matching, matching, withType`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public SingleFileReport getText()

      The jdepend text report

      Returns:
        The jdepend text report

    - #### public SingleFileReport getXml()

      The jdepend XML report

      Returns:
        The jdepend XML report